> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax filing URL

> Get URL to redirect the user to, putting them into the tax filing flow. The URL includes an OAuth authentication code, for Tight's tax filing partner to automatically read necessary tax data from the user's profile



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v4/taxes/filingUrl
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/taxes/filingUrl:
    post:
      tags:
        - Taxes
      summary: Get tax filing URL
      description: >-
        Get URL to redirect the user to, putting them into the tax filing flow.
        The URL includes an OAuth authentication code, for Tight's tax filing
        partner to automatically read necessary tax data from the user's profile
      operationId: getTaxFilingUrlV4
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxFilingUrlDTO'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TaxFilingUrlDTO:
      required:
        - url
      type: object
      properties:
        url:
          type: string
          description: Tax Filing URL to redirect user to
          example: https://hurdlr.com/filing?code=foo
        code:
          type: string
        code2:
          type: string
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````